"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var babel_1 = __importDefault(require("../babel"));
var setLoaders = function (mode, config, options) {
    if (mode === void 0) { mode = "development"; }
    var babelConfig = (0, babel_1.default)(mode === "development");
    config.module
        .rule("babel-react")
        .test(/\.(js|mjs|jsx|ts|tsx)$/)
        .use("babel-loader")
        .loader(require.resolve("babel-loader"))
        .options(babelConfig);
};
module.exports = setLoaders;
