"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBaseBabelConfig = void 0;
var render_builder_1 = require("@x.render/render-builder");
var setLoaders_1 = __importDefault(require("./config/setLoaders"));
var setPlugins_1 = __importDefault(require("./config/setPlugins"));
var getBabelConfig = require("./babel");
var OptimizationWebpackPlugin = /** @class */ (function (_super) {
    __extends(OptimizationWebpackPlugin, _super);
    function OptimizationWebpackPlugin() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    OptimizationWebpackPlugin.prototype.run = function (compiler, config, options) {
        var context = compiler.context;
        var command = context.command;
        var mode = command === "start" ? "development" : "production";
        (0, setLoaders_1.default)(mode, config, options);
        if (mode === "development") {
            (0, setPlugins_1.default)(config);
        }
        return config;
    };
    return OptimizationWebpackPlugin;
}(render_builder_1.WebpackBuilderPluginClass));
exports.default = OptimizationWebpackPlugin;
exports.getBaseBabelConfig = getBabelConfig;
